package myUIDelegateExample;

import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;

class MyGUI extends JFrame {

	private static final long serialVersionUID = 1L;

	MyDataModelForTableModel dataModel;

	View1 dataView;

	public MyGUI(MyDataModelForTableModel dataModel) {

		this.dataModel = dataModel;

		dataView = new View1(dataModel);

		View1Controller c1 = new View1Controller(dataView, dataModel);
		dataModel.addTableModelListener(c1);

		// put components in a panel
		JPanel mainPanel = new JPanel();
		mainPanel.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 0));
		mainPanel.add(dataView.getView());

		// make the panel this extended JFrame's content pane
		this.setContentPane(mainPanel);
	}
}
