package myUIDelegateExample;

import java.awt.*;
import javax.swing.*;

public class View1 extends JPanel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	JPanel mainPanel;

	public View1(MyDataModelForTableModel dataModel) {
		mainPanel = new JPanel();
		mainPanel.setLayout(new BoxLayout(mainPanel, BoxLayout.Y_AXIS));
		mainPanel.add((new JLabel("Overview of World Records")));
		JTable tableElement = new JTable(dataModel);
		/*
		 * NB: javax.swing.JTable adds its own TabelModelListener to the
		 * dataModel. This TableModelListener re-renders itself if the dataModel
		 * changes
		 */
		JScrollPane scrollPane = new JScrollPane(tableElement);
		scrollPane.setPreferredSize(new Dimension(500, 250));
		mainPanel.add(scrollPane);
	}

	public JPanel getView() {
		return mainPanel;
	}

}
